Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008395TestLinkUsers and Rightspublic2018-10-05 09:152018-10-13 09:25
Reportermichelnialon 
Assigned Tofman 
PrioritynoneSeverityfeature requestReproducibilityalways
StatusresolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.19 (2019 Q1) 
Summary0008395: User email adress ending with .group
DescriptionWill it be possible to add the possibility to configure user email address ending with .group?
Steps To ReproduceCreate user and enter an address ending with .group
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP Version5.5.9
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0027922)
fman (administrator)
2018-10-06 07:13

please provide example.

this depends of function used to check email.
Please try to give a look to the code and see if possible.
do not want to add new configuration for this too particular things
(0027991)
sribiere (reporter)
2018-10-11 15:37

Hello,

We have found the solution

In the config.inc.php file we have to replace these 2 lines
$tlCfg->validation_cfg->user_email_valid_regex_js = "/^(\w+)([-+.][\w]+)*@(\w[-\w]*\.){1,5}([A-Za-z]){2,4}$/";
$tlCfg->validation_cfg->user_email_valid_regex_php = "/^([\w]+)(.[\w]+)*@([\w-]+\.){1,5}([A-Za-z]){2,4}$/U";


By these 2
$tlCfg->validation_cfg->user_email_valid_regex_js = "/^(\w+)([-+.][\w]+)*@(\w[-\w]*\.){1,6}([A-Za-z]){2,5}$/";
$tlCfg->validation_cfg->user_email_valid_regex_php = "/^([\w]+)(.[\w]+)*@([\w-]+\.){1,6}([A-Za-z]){2,5}$/U";

And restart testlink

That's all
(0027993)
michelnialon (reporter)
2018-10-12 06:57

Great!
(0028007)
fman (administrator)
2018-10-13 09:24

Thnaks a lot!
(0028008)
fman (administrator)
2018-10-13 09:25

User Contribution

- Issue History
Date Modified Username Field Change
2018-10-05 09:15 michelnialon New Issue
2018-10-06 07:11 fman QA Team - Task Workflow Status => TBD
2018-10-06 07:11 fman Priority normal => none
2018-10-06 07:11 fman Severity major => feature request
2018-10-06 07:13 fman Note Added: 0027922
2018-10-11 15:37 sribiere Note Added: 0027991
2018-10-12 06:57 michelnialon Note Added: 0027993
2018-10-13 09:24 fman Note Added: 0028007
2018-10-13 09:25 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-10-13 09:25 fman Note Added: 0028008
2018-10-13 09:25 fman Status new => resolved
2018-10-13 09:25 fman Fixed in Version => 1.9.19 (2019 Q1)
2018-10-13 09:25 fman Resolution open => fixed
2018-10-13 09:25 fman Assigned To => fman



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker